Description

Impossible to edit a host with docker interfaces present. Deleting interfaces from the UI has no effect.

See uploaded screenshot

Foreman version 1.8.2

History

#1 - 06/25/2015 09:01 AM - Dominic Cleal

- Category set to Network

Could you attach the output of facter --json from the host please?

#2 - 06/25/2015 09:09 AM - Jon Skarpeteig

{

"architecture": "amd64",

"augeasversion": "1.2.0",

"kernel": "Linux",

"blockdevice_fd0_size": 0,

"blockdevice_sda_size": 42949672960,

"blockdevice_sda_vendor": "VMware",

"blockdevice_sda_model": "Virtual disk",

"blockdevices": "fd0,sda",

"domain": "domain",

"macaddress": "56:84:7a:fe:97:99",

"osfamily": "Debian",

"operatingsystem": "Ubuntu",

"lsbdistid": "Ubuntu",

"facterversion": "1.7.5",

"filesystems": "btrfs,ext2,ext3,ext4,hfs,hfsplus,jfs,minix,msdos,ntfs,qnx4,ufs,vfat,xfs",

"fqdn": "jenkins",

"hardwareisa": "x86_64",

"hardwaremodel": "x86_64",

"hostname": "lys-jenkins",

"id": "jskarpet",

"interfaces": "docker0,eth0,lo",

"ipaddress_docker0": "172.17.42.1",

"macaddress_docker0": "56:84:7a:fe:97:99",

"netmask_docker0": "255.255.0.0",

"mtu_docker0": "1500",

"ipaddress_eth0": "10.47.24.29",

"ipaddress6_eth0": "2001:420:44c1:2524:b8c0:8243:9bb7:56a8",

"macaddress_eth0": "00:50:56:97:72:c8",

"netmask_eth0": "255.255.255.0",

"mtu_eth0": "1500",

"ipaddress_lo": "127.0.0.1",

"netmask_lo": "255.0.0.0",

"mtu_lo": "65536",

"ipaddress": "172.17.42.1",
"ipaddress6": "2001:420:44c1:2524:250:56ff:fe97:72c8",

"kernelmajversion": "3.13",

"kernelrelease": "3.13.0-46-generic",

"kernelversion": "3.13.0",

"lsbdistcodename": "trusty",

"lsbdistdescription": "Ubuntu 14.04.2 LTS",

"lsbdistrelease": "14.04",

"lsbmajdistrelease": "14",

"memorysize": "49.14 GB",

"memoryfree": "43.41 GB",

"swapsize": "2.00 GB",

"swapfree": "2.00 GB",

"swapsize_mb": "2046.00",

"swapfree_mb": "2046.00",

"memorysize_mb": "50314.32",

"memoryfree_mb": "44452.55",

"memorytotal": "49.14 GB",

"netmask": "255.255.0.0",

"network_docker0": "172.17.0.0",

"network_eth0": "10.47.24.0",

"network_lo": "127.0.0.0",

"operatingsystemrelease": "14.04",

"physicalprocessorcount": 8,

"processor0": "Intel(R) Xeon(R) CPU E7- 2870   2.40GHz",

"processor1": "Intel(R) Xeon(R) CPU E7- 2870   2.40GHz",

"processor2": "Intel(R) Xeon(R) CPU E7- 2870   2.40GHz",

"processor3": "Intel(R) Xeon(R) CPU E7- 2870   2.40GHz",

"processor4": "Intel(R) Xeon(R) CPU E7- 2870   2.40GHz",

"processor5": "Intel(R) Xeon(R) CPU E7- 2870   2.40GHz",

"processor6": "Intel(R) Xeon(R) CPU E7- 2870   2.40GHz",

"processor7": "Intel(R) Xeon(R) CPU E7- 2870   2.40GHz",

"processorcount": "8",

"ps": "ps -ef",

"puppetversion": "3.4.3",

"rubysitedir": "\/usr\/local\/lib\/site_ruby\/1.9.1",

"rubyversion": "1.9.3",

"selinux": "false",

"timezone": "CEST",

"uniqueid": "007f0101",

"uptime": "115 days",

"uptime_days": 115,

"uptime_hours": 2763,

"uptime_seconds": 9950373,

"virtual": "vmware",

"is_virtual": "true"

}

#3 - 08/11/2015 05:44 AM - Marek Hulán

what happens if you rename the wrong eth0 to docker0 via API? and what happens if you delete it? especially when there's a new fact upload

#4 - 08/19/2015 04:49 AM - Dominic Cleal

- translation missing: en.field_release deleted (62)

#5 - 02/20/2017 02:12 PM - Marek Hulán

- Status changed from New to Feedback

I think this has been fixed in recent version of Foreman where we allow to delete invalid interfaces from UI. Also we include docker interfaces in list of

ignored interfaces. Please let us know if you still experience this problem with new Foreman.

#6 - 05/17/2017 11:52 AM - Anonymous

- Status changed from Feedback to Resolved

no reaction, closing
